### Virtual Method

# Clutter Actor paint

#### Declaration [src]

    void
    paint (
      ClutterActor* self,
      ClutterPaintContext* paint_context
    )

#### Description [src]

Renders the actor to display.

This function should not be called directly by applications. Call `clutter_actor_queue_redraw()` to queue paints, instead.

This function is context-aware, and will either cause a regular paint or a pick paint.

This function will call the `Clutter.ActorClass.paint` virtual function.

This function does not paint the actor if the actor is set to 0, unless it is performing a pick paint.

#### Parameters

`paint_context`

  Type: `ClutterPaintContext`

  No description available.

  The data is owned by the caller of the method.